Build #3 for accelerate-examples-1.1.0.0

[all reports]

Package accelerate-examples-1.1.0.0
Install DependencyFailed cuda-0.8.0.0
Docs NotTried
Tests NotTried
Time submitted 2017-09-21 12:44:18.082586936 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies HUnit-1.6.0.0, QuickCheck-2.10.0.1, accelerate-1.1.0.0, accelerate-llvm-native-1.1.0.0, accelerate-llvm-ptx-1.1.0.0, ansi-wl-pprint-0.6.8.1, base-4.9.1.0, containers-0.5.7.1, criterion-1.2.2.0, directory-1.3.0.0, fclabels-2.0.3.2, linear-1.20.7, mwc-random-0.13.6.0, test-framework-0.8.1.1, test-framework-hunit-0.3.0.2, test-framework-quickcheck2-0.3.0.4, accelerate-1.1.0.0, accelerate-io-1.0.0.0, base-4.9.1.0, colour-accelerate-0.2.0.0, fclabels-2.0.3.2, repa-3.4.1.3, repa-io-3.4.1.1, vector-0.12.0.1, accelerate-1.1.0.0, base-4.9.1.0, colour-accelerate-0.2.0.0, fclabels-2.0.3.2, gloss-raster-accelerate-2.0.0.0, accelerate-1.1.0.0, accelerate-fft-1.1.0.0, accelerate-io-1.0.0.0, base-4.9.1.0, colour-accelerate-0.2.0.0, fclabels-2.0.3.2, filepath-1.4.1.1, accelerate-1.1.0.0, accelerate-io-1.0.0.0, base-4.9.1.0, bmp-1.2.6.3, colour-accelerate-0.2.0.0, fclabels-2.0.3.2, gloss-1.11.1.1, gloss-rendering-1.11.1.1, accelerate-1.1.0.0, base-4.9.1.0, bytestring-0.10.8.1, bytestring-lexing-0.5.0.2, cereal-0.5.4.0, criterion-1.2.2.0, fclabels-2.0.3.2, mwc-random-0.13.6.0, accelerate-1.1.0.0, base-4.9.1.0, binary-0.8.3.0, directory-1.3.0.0, fclabels-2.0.3.2, normaldistribution-1.1.0.3, random-1.1, accelerate-1.1.0.0, accelerate-io-1.0.0.0, base-4.9.1.0, colour-accelerate-0.2.0.0, fclabels-2.0.3.2, gloss-1.11.1.1, gloss-accelerate-2.0.0.0, accelerate-1.1.0.0, base-4.9.1.0, fclabels-2.0.3.2, gloss-1.11.1.1, lens-accelerate-0.1.0.0, linear-accelerate-0.5, mwc-random-0.13.6.0, HUnit-1.6.0.0, QuickCheck-2.10.0.1, accelerate-1.1.0.0, accelerate-fft-1.1.0.0, accelerate-io-1.0.0.0, array-0.5.1.1, base-4.9.1.0, containers-0.5.7.1, fclabels-2.0.3.2, pipes-4.3.5, random-1.1, test-framework-0.8.1.1, test-framework-hunit-0.3.0.2, test-framework-quickcheck2-0.3.0.4, vector-0.12.0.1, accelerate-1.1.0.0, accelerate-io-1.0.0.0, base-4.9.1.0, bytestring-0.10.8.1, containers-0.5.7.1, directory-1.3.0.0, fclabels-2.0.3.2, vector-0.12.0.1, vector-algorithms-0.7.0.1, accelerate-1.1.0.0, base-4.9.1.0, colour-accelerate-0.2.0.0, fclabels-2.0.3.2, gloss-1.11.1.1, gloss-accelerate-2.0.0.0, gloss-raster-accelerate-2.0.0.0, lens-accelerate-0.1.0.0, linear-accelerate-0.5, accelerate-1.1.0.0, accelerate-fft-1.1.0.0, base-4.9.1.0, colour-accelerate-0.2.0.0, fclabels-2.0.3.2, gloss-1.11.1.1, gloss-accelerate-2.0.0.0, mwc-random-0.13.6.0, accelerate-1.1.0.0, accelerate-io-1.0.0.0, base-4.9.1.0, fclabels-2.0.3.2, matrix-market-attoparsec-0.1.0.8, mwc-random-0.13.6.0, scientific-0.3.5.2, vector-0.12.0.1, vector-algorithms-0.7.0.1, accelerate-1.1.0.0, base-4.9.1.0, fclabels-2.0.3.2, gloss-raster-accelerate-2.0.0.0, lens-accelerate-0.1.0.0, linear-accelerate-0.5
Flags tunnel smvm smoothlife ray pagerank nofib nbody mandelbrot llvm-ptx llvm-cpu kmeans hashcat gui fluid fft ekg crystal -codespeed canny

Build log

[view raw]

Resolving dependencies...
Configuring ObjectName-1.1.0.1...
Configuring Only-0.1...
Building ObjectName-1.1.0.1...
Building Only-0.1...
Configuring Cabal-2.0.0.2...
Installed ObjectName-1.1.0.1
Building Cabal-2.0.0.2...
Configuring abstract-par-0.3.3...
Installed Only-0.1
Building abstract-par-0.3.3...
Configuring ansi-terminal-0.6.3.1...
Installed abstract-par-0.3.3
Building ansi-terminal-0.6.3.1...
Configuring base-compat-0.9.3...
Installed ansi-terminal-0.6.3.1
Building base-compat-0.9.3...
Configuring bmp-1.2.6.3...
Installed base-compat-0.9.3
Building bmp-1.2.6.3...
Configuring base-orphans-0.6...
Installed bmp-1.2.6.3
Building base-orphans-0.6...
Configuring call-stack-0.1.0...
Installed base-orphans-0.6
Building call-stack-0.1.0...
Configuring bytestring-lexing-0.5.0.2...
Installed call-stack-0.1.0
Building bytestring-lexing-0.5.0.2...
Configuring cereal-0.5.4.0...
Installed bytestring-lexing-0.5.0.2
Building cereal-0.5.4.0...
Configuring code-page-0.1.3...
Installed cereal-0.5.4.0
Building code-page-0.1.3...
Configuring data-default-class-0.1.2.0...
Installed code-page-0.1.3
Building data-default-class-0.1.2.0...
Configuring dlist-0.8.0.3...
Installed data-default-class-0.1.2.0
Building dlist-0.8.0.3...
Configuring extensible-exceptions-0.1.1.4...
Installed dlist-0.8.0.3
Building extensible-exceptions-0.1.1.4...
Configuring erf-2.0.0.0...
Installed extensible-exceptions-0.1.1.4
Building erf-2.0.0.0...
Configuring fail-4.9.0.0...
Installed erf-2.0.0.0
Building fail-4.9.0.0...
Configuring file-embed-0.0.10.1...
Installed fail-4.9.0.0
Building file-embed-0.0.10.1...
Configuring fixed-0.2.1.1...
Installed file-embed-0.0.10.1
Building fixed-0.2.1.1...
Configuring half-0.2.2.3...
Installed fixed-0.2.1.1
Building half-0.2.2.3...
Configuring integer-logarithms-1.0.2...
Installed half-0.2.2.3
Building integer-logarithms-1.0.2...
Configuring hostname-1.0...
Installed integer-logarithms-1.0.2
Building hostname-1.0...
Configuring ix-shapable-0.1.0...
Installed hostname-1.0
Building ix-shapable-0.1.0...
Configuring js-flot-0.8.3...
Installed ix-shapable-0.1.0
Building js-flot-0.8.3...
Configuring libffi-0.1...
Installed js-flot-0.8.3
Building libffi-0.1...
Configuring js-jquery-3.2.1...
Installed libffi-0.1
Building js-jquery-3.2.1...
Configuring old-locale-1.0.0.7...
Installed js-jquery-3.2.1
Building old-locale-1.0.0.7...
Configuring parallel-3.2.1.1...
Installed old-locale-1.0.0.7
Building parallel-3.2.1.1...
Configuring mtl-2.2.1...
Installed parallel-3.2.1.1
Building mtl-2.2.1...
Configuring primitive-0.6.2.0...
Installed mtl-2.2.1
Building primitive-0.6.2.0...
Configuring prelude-extras-0.4.0.3...
Installed primitive-0.6.2.0
Building prelude-extras-0.4.0.3...
Configuring random-1.1...
Installed prelude-extras-0.4.0.3
Building random-1.1...
Configuring stm-2.4.4.1...
Installed random-1.1
Building stm-2.4.4.1...
Configuring reflection-2.1.2...
Installed stm-2.4.4.1
Building reflection-2.1.2...
Configuring semigroups-0.18.3...
Installed reflection-2.1.2
Building semigroups-0.18.3...
Configuring storable-complex-0.2.2...
Installed semigroups-0.18.3
Building storable-complex-0.2.2...
Configuring syb-0.7...
Installed storable-complex-0.2.2
Building syb-0.7...
Configuring text-1.2.2.2...
Installed syb-0.7
Building text-1.2.2.2...
Configuring th-abstraction-0.2.6.0...
Installed Cabal-2.0.0.2
Building th-abstraction-0.2.6.0...
Configuring time-locale-compat-0.1.1.3...
Installed th-abstraction-0.2.6.0
Building time-locale-compat-0.1.1.3...
Configuring transformers-compat-0.5.1.4...
Installed time-locale-compat-0.1.1.3
Building transformers-compat-0.5.1.4...
Configuring utf8-string-1.0.1.1...
Installed transformers-compat-0.5.1.4
Building utf8-string-1.0.1.1...
Configuring void-0.7.2...
Installed text-1.2.2.2
Building void-0.7.2...
Installed utf8-string-1.0.1.1
Configuring ansi-wl-pprint-0.6.8.1...
Building ansi-wl-pprint-0.6.8.1...
Configuring old-time-1.1.0.3...
Installed void-0.7.2
Building old-time-1.1.0.3...
Configuring HUnit-1.6.0.0...
Installed ansi-wl-pprint-0.6.8.1
Building HUnit-1.6.0.0...
Configuring fclabels-2.0.3.2...
Installed old-time-1.1.0.3
Building fclabels-2.0.3.2...
Configuring regex-base-0.93.2...
Installed HUnit-1.6.0.0
Building regex-base-0.93.2...
Configuring atomic-primops-0.8.1...
Installed regex-base-0.93.2
Building atomic-primops-0.8.1...
Configuring abstract-deque-0.3...
Installed atomic-primops-0.8.1
Building abstract-deque-0.3...
Configuring vector-0.12.0.1...
Installed fclabels-2.0.3.2
Building vector-0.12.0.1...
Configuring normaldistribution-1.1.0.3...
Installed abstract-deque-0.3
Building normaldistribution-1.1.0.3...
Configuring monad-par-extras-0.3.3...
Installed normaldistribution-1.1.0.3
Building monad-par-extras-0.3.3...
Configuring StateVar-1.1.0.4...
Installed monad-par-extras-0.3.3
Building StateVar-1.1.0.4...
Configuring tf-random-0.5...
Installed StateVar-1.1.0.4
Building tf-random-0.5...
Configuring cabal-doctest-1.0.2...
Installed tf-random-0.5
Building cabal-doctest-1.0.2...
Configuring Glob-0.8.0...
Installed cabal-doctest-1.0.2
Building Glob-0.8.0...
Configuring exceptions-0.8.3...
Installed Glob-0.8.0
Building exceptions-0.8.3...
Configuring cuda-0.8.0.0...
Installed exceptions-0.8.3
Configuring mmorph-1.1.0...
Installed vector-0.12.0.1
Building mmorph-1.1.0...
Configuring tagged-0.8.5...
Failed to install cuda-0.8.0.0
Build log ( /home/builder/.cabal/logs/cuda-0.8.0.0.log ):
cabal: Entering directory '/tmp/cabal-tmp-12607/cuda-0.8.0.0'
[1 of 1] Compiling Main             ( /tmp/cabal-tmp-12607/cuda-0.8.0.0/dist/setup/setup.hs, /tmp/cabal-tmp-12607/cuda-0.8.0.0/dist/setup/Main.o )
Linking /tmp/cabal-tmp-12607/cuda-0.8.0.0/dist/setup/setup ...
Configuring cuda-0.8.0.0...
setup:
********************************************************************************

The configuration process failed to locate your CUDA installation. Ensure that
you have installed both the developer driver and toolkit, available from:

> http://developer.nvidia.com/cuda-downloads

and make sure that `nvcc` is available in your PATH, or set the CUDA_PATH
environment variable appropriately. Check the above output log and run the
command directly to ensure it can be located.

If you have a non-standard installation, you can add additional search paths
using --extra-include-dirs and --extra-lib-dirs. Note that 64-bit Linux
flavours often require both `lib64` and `lib` library paths, in that order.

********************************************************************************
cabal: Leaving directory '/tmp/cabal-tmp-12607/cuda-0.8.0.0'
Building tagged-0.8.5...
Configuring OpenGLRaw-3.2.5.0...
Installed mmorph-1.1.0
Building OpenGLRaw-3.2.5.0...
Configuring hashable-1.2.6.1...
Installed tagged-0.8.5
Building hashable-1.2.6.1...
Configuring parsec-3.1.11...
Installed hashable-1.2.6.1
Building parsec-3.1.11...
Configuring xml-1.3.14...
Installed parsec-3.1.11
Building xml-1.3.14...
Installed xml-1.3.14
Configuring optparse-applicative-0.14.0.0...
Building optparse-applicative-0.14.0.0...
Configuring contravariant-1.4...
Installed optparse-applicative-0.14.0.0
Building contravariant-1.4...
Configuring regex-posix-0.95.2...
Installed contravariant-1.4
Building regex-posix-0.95.2...
Configuring chaselev-deque-0.5.0.5...
Installed regex-posix-0.95.2
Building chaselev-deque-0.5.0.5...
Configuring QuickCheck-2.10.0.1...
Installed chaselev-deque-0.5.0.5
Building QuickCheck-2.10.0.1...
Configuring vector-binary-instances-0.2.3.5...
Installed QuickCheck-2.10.0.1
Building vector-binary-instances-0.2.3.5...
Configuring vector-algorithms-0.7.0.1...
Installed vector-binary-instances-0.2.3.5
Building vector-algorithms-0.7.0.1...
Configuring pipes-4.3.5...
Installed vector-algorithms-0.7.0.1
Building pipes-4.3.5...
Configuring vector-th-unbox-0.2.1.6...
Installed pipes-4.3.5
Building vector-th-unbox-0.2.1.6...
Configuring distributive-0.5.3...
Installed vector-th-unbox-0.2.1.6
Building distributive-0.5.3...
Warning: /tmp/pkgConf-distributive-0.517998782061555319301.3: Unrecognized
field abi-depends on line 31
/tmp/pkgConf-distributive-0.517998782061555319301.3: Unrecognized field
dynamic-library-dirs on line 23
/tmp/pkgConf-distributive-0.517998782061555319301.3: Unrecognized field
indefinite on line 16
Configuring scientific-0.3.5.2...
Installed distributive-0.5.3
Building scientific-0.3.5.2...
Configuring hashtables-1.2.2.0...
Installed scientific-0.3.5.2
Building hashtables-1.2.2.0...
Configuring text-short-0.1.1...
Installed hashtables-1.2.2.0
Building text-short-0.1.1...
Configuring unordered-containers-0.2.8.0...
Installed text-short-0.1.1
Building unordered-containers-0.2.8.0...
Configuring unique-0...
Installed unordered-containers-0.2.8.0
Building unique-0...
Configuring uuid-types-1.0.3...
Installed unique-0
Building uuid-types-1.0.3...
Installed uuid-types-1.0.3
Configuring test-framework-0.8.1.1...
Building test-framework-0.8.1.1...
Configuring carray-0.1.6.8...
Installed test-framework-0.8.1.1
Building carray-0.1.6.8...
Configuring repa-3.4.1.3...
Installed carray-0.1.6.8
Building repa-3.4.1.3...
Configuring math-functions-0.2.1.0...
Installed repa-3.4.1.3
Building math-functions-0.2.1.0...
Configuring comonad-5.0.2...
Installed math-functions-0.2.1.0
Building comonad-5.0.2...
Warning: /tmp/pkgConf-comonad-5.01782280524846942590.2: Unrecognized field
abi-depends on line 39
/tmp/pkgConf-comonad-5.01782280524846942590.2: Unrecognized field
dynamic-library-dirs on line 30
/tmp/pkgConf-comonad-5.01782280524846942590.2: Unrecognized field indefinite
on line 17
Configuring attoparsec-0.13.2.0...
Installed comonad-5.0.2
Building attoparsec-0.13.2.0...
Configuring bytes-0.15.3...
Installed OpenGLRaw-3.2.5.0
Configuring accelerate-1.1.0.0...
Installed attoparsec-0.13.2.0
Building accelerate-1.1.0.0...
Building bytes-0.15.3...
Warning: /tmp/pkgConf-bytes-0.1588216037911614769.3: Unrecognized field
abi-depends on line 38
/tmp/pkgConf-bytes-0.1588216037911614769.3: Unrecognized field
dynamic-library-dirs on line 24
/tmp/pkgConf-bytes-0.1588216037911614769.3: Unrecognized field indefinite on
line 16
Installed bytes-0.15.3
Configuring test-framework-quickcheck2-0.3.0.4...
Building test-framework-quickcheck2-0.3.0.4...
Configuring test-framework-hunit-0.3.0.2...
Installed test-framework-quickcheck2-0.3.0.4
Building test-framework-hunit-0.3.0.2...
Configuring repa-io-3.4.1.1...
Installed test-framework-hunit-0.3.0.2
Building repa-io-3.4.1.1...
Configuring fft-0.1.8.6...
Installed repa-io-3.4.1.1
Building fft-0.1.8.6...
Configuring mwc-random-0.13.6.0...
Installed fft-0.1.8.6
Building mwc-random-0.13.6.0...
Configuring GLURaw-2.0.0.3...
Installed mwc-random-0.13.6.0
Building GLURaw-2.0.0.3...
Configuring bifunctors-5.4.2...
Installed GLURaw-2.0.0.3
Building bifunctors-5.4.2...
Configuring cassava-0.5.1.0...
Installed bifunctors-5.4.2
Building cassava-0.5.1.0...
Configuring aeson-1.2.2.0...
Installed cassava-0.5.1.0
Building aeson-1.2.2.0...
Configuring llvm-hs-pure-5.0.0...
Installed aeson-1.2.2.0
Building llvm-hs-pure-5.0.0...
Configuring matrix-market-attoparsec-0.1.0.8...
Installed llvm-hs-pure-5.0.0
Building matrix-market-attoparsec-0.1.0.8...
Installed matrix-market-attoparsec-0.1.0.8
Configuring monad-par-0.3.4.8...
Building monad-par-0.3.4.8...
Configuring OpenGL-3.0.2.0...
Installed monad-par-0.3.4.8
Building OpenGL-3.0.2.0...
Configuring profunctors-5.2.1...
Installed OpenGL-3.0.2.0
Building profunctors-5.2.1...
Configuring semigroupoids-5.2.1...
Installed profunctors-5.2.1
Building semigroupoids-5.2.1...
Warning: /tmp/pkgConf-semigroupoids-5.216798954361545032460.1: Unrecognized
field abi-depends on line 75
/tmp/pkgConf-semigroupoids-5.216798954361545032460.1: Unrecognized field
dynamic-library-dirs on line 61
/tmp/pkgConf-semigroupoids-5.216798954361545032460.1: Unrecognized field
indefinite on line 46
Configuring microstache-1.0.1.1...
Installed semigroupoids-5.2.1
Building microstache-1.0.1.1...
Configuring llvm-hs-5.0.0...
Installed microstache-1.0.1.1
Failed to install llvm-hs-5.0.0
Build log ( /home/builder/.cabal/logs/llvm-hs-5.0.0.log ):
cabal: Entering directory '/tmp/cabal-tmp-12599/llvm-hs-5.0.0'
[1 of 1] Compiling Main             ( /tmp/cabal-tmp-12599/llvm-hs-5.0.0/dist/setup/setup.hs, /tmp/cabal-tmp-12599/llvm-hs-5.0.0/dist/setup/Main.o )
Linking /tmp/cabal-tmp-12599/llvm-hs-5.0.0/dist/setup/setup ...
setup: The program 'llvm-config' version ==5.0.* is required but the version
found at /usr/bin/llvm-config is version 3.4
cabal: Leaving directory '/tmp/cabal-tmp-12599/llvm-hs-5.0.0'
Configuring statistics-0.14.0.2...
Building statistics-0.14.0.2...
Configuring free-4.12.4...
Installed statistics-0.14.0.2
Building free-4.12.4...
Configuring GLUT-2.7.0.12...
Installed free-4.12.4
Building GLUT-2.7.0.12...
Installed GLUT-2.7.0.12
Configuring criterion-1.2.2.0...
Building criterion-1.2.2.0...
Configuring gloss-rendering-1.11.1.1...
Installed criterion-1.2.2.0
Building gloss-rendering-1.11.1.1...
Configuring adjunctions-4.3...
Installed gloss-rendering-1.11.1.1
Building adjunctions-4.3...
Installed adjunctions-4.3
Configuring kan-extensions-5.0.2...
Building kan-extensions-5.0.2...
Configuring gloss-1.11.1.1...
Installed kan-extensions-5.0.2
Building gloss-1.11.1.1...
Installed gloss-1.11.1.1
Configuring lens-4.15.4...
Building lens-4.15.4...
Installed accelerate-1.1.0.0
Configuring accelerate-io-1.0.0.0...
Building accelerate-io-1.0.0.0...
Configuring gloss-accelerate-2.0.0.0...
Installed accelerate-io-1.0.0.0
Building gloss-accelerate-2.0.0.0...
Configuring colour-accelerate-0.2.0.0...
Installed gloss-accelerate-2.0.0.0
Building colour-accelerate-0.2.0.0...
Installed colour-accelerate-0.2.0.0
Configuring gloss-raster-accelerate-2.0.0.0...
Building gloss-raster-accelerate-2.0.0.0...
Installed gloss-raster-accelerate-2.0.0.0
Warning: /tmp/pkgConf-lens-4.158472280231516266761.4: Unrecognized field
abi-depends on line 150
/tmp/pkgConf-lens-4.158472280231516266761.4: Unrecognized field
dynamic-library-dirs on line 123
/tmp/pkgConf-lens-4.158472280231516266761.4: Unrecognized field indefinite on
line 86
Installed lens-4.15.4
Configuring lens-accelerate-0.1.0.0...
Configuring linear-1.20.7...
Building lens-accelerate-0.1.0.0...
Building linear-1.20.7...
Installed lens-accelerate-0.1.0.0
Warning: /tmp/pkgConf-linear-1.2020167645241717226057.7: Unrecognized field
abi-depends on line 46
/tmp/pkgConf-linear-1.2020167645241717226057.7: Unrecognized field
dynamic-library-dirs on line 27
/tmp/pkgConf-linear-1.2020167645241717226057.7: Unrecognized field indefinite
on line 16
Installed linear-1.20.7
Configuring linear-accelerate-0.5...
Building linear-accelerate-0.5...
Warning: /tmp/pkgConf-linear-accelerate-018775651001265204346.5: Unrecognized
field abi-depends on line 40
/tmp/pkgConf-linear-accelerate-018775651001265204346.5: Unrecognized field
dynamic-library-dirs on line 32
/tmp/pkgConf-linear-accelerate-018775651001265204346.5: Unrecognized field
indefinite on line 16
Installed linear-accelerate-0.5
cabal: Error: some packages failed to install:
accelerate-examples-1.1.0.0 depends on cuda-0.8.0.0 which failed to install.
accelerate-fft-1.1.0.0 depends on cuda-0.8.0.0 which failed to install.
accelerate-llvm-1.1.0.0 depends on llvm-hs-5.0.0 which failed to install.
accelerate-llvm-native-1.1.0.0 depends on llvm-hs-5.0.0 which failed to
install.
accelerate-llvm-ptx-1.1.0.0 depends on cuda-0.8.0.0 which failed to install.
cuda-0.8.0.0 failed during the configure step. The exception was:
ExitFailure 1
cufft-0.8.0.0 depends on cuda-0.8.0.0 which failed to install.
llvm-hs-5.0.0 failed during the configure step. The exception was:
ExitFailure 1
nvvm-0.8.0.0 depends on cuda-0.8.0.0 which failed to install.